summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2013-03-04 19:10:31 +0000
committerRobin H. Johnson <robbat2@gentoo.org>2013-03-04 19:10:31 +0000
commit13d289439c00e1d9d07afc1749689f6a030f7320 (patch)
tree682160b03bf11b6aa23aca82d69c5ec3f47c1bee /eclass/mysql-cmake.eclass
parentVersion bump thanks to corentin labbe <clabbe.montjoie@gmail.com> (diff)
downloadgentoo-2-13d289439c00e1d9d07afc1749689f6a030f7320.tar.gz
gentoo-2-13d289439c00e1d9d07afc1749689f6a030f7320.tar.bz2
gentoo-2-13d289439c00e1d9d07afc1749689f6a030f7320.zip
MySQL 5.6 needs to NOT have -fno-implicit-templates, also support epatch_user.
Diffstat (limited to 'eclass/mysql-cmake.eclass')
-rw-r--r--eclass/mysql-cmake.eclass10
1 files changed, 7 insertions, 3 deletions
diff --git a/eclass/mysql-cmake.eclass b/eclass/mysql-cmake.eclass
index 955e2878f357..f47e5fd619ae 100644
--- a/eclass/mysql-cmake.eclass
+++ b/eclass/mysql-cmake.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/mysql-cmake.eclass,v 1.14 2013/02/13 00:40:57 robbat2 Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/mysql-cmake.eclass,v 1.15 2013/03/04 19:10:31 robbat2 Exp $
# @ECLASS: mysql-cmake.eclass
# @MAINTAINER:
@@ -221,6 +221,7 @@ mysql-cmake_src_prepare() {
[ -f "${i}" ] && sed -i -e '/CFLAGS/s,-prefer-non-pic,,g' "${i}"
rm -f "scripts/mysqlbug"
+ epatch_user
}
# @FUNCTION: mysql-cmake_src_configure
@@ -275,7 +276,10 @@ mysql-cmake_src_configure() {
CXXFLAGS="${CXXFLAGS} -fno-exceptions -fno-strict-aliasing"
CXXFLAGS="${CXXFLAGS} -felide-constructors -fno-rtti"
- CXXFLAGS="${CXXFLAGS} -fno-implicit-templates"
+ # Causes linkage failures. Upstream bug #59607 removes it
+ if ! mysql_version_is_at_least "5.6" ; then
+ CXXFLAGS="${CXXFLAGS} -fno-implicit-templates"
+ fi
export CXXFLAGS
# bug #283926, with GCC4.4, this is required to get correct behavior.